from django.conf import settings


try:
    TRANSFORM_XSL_DIR = settings.TRANSFORM_XSL_DIR
except AttributeError:
    from django.core.exceptions import ImproperlyConfigured
    raise ImproperlyConfigured("You're using the TransformationMiddleware without having set the TRANSFORM_XSL_DIR setting. Please set the TRANSFORM_XSL_DIR setting to a directory containing your XSL files.")

TRANSFORM_STYLESHEET_KEY = getattr(settings, 'TRANSFORM_STYLESHEET_KEY', 'view')

TRANSFORM_PARAMS_KEY = getattr(settings, 'TRANSFORM_PARAMS_KEY', 'params')
